package com.supervision.controller;


import cn.hutool.core.collection.CollUtil;
import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.supervision.model.KgInfo;
import com.supervision.qanything.QanythingService;
import com.supervision.qanything.dto.ChatResult;
import com.supervision.qanything.dto.ResultWrapper;
import com.supervision.service.KGService;
import com.supervision.vo.kg.ChatReqVo;
import com.supervision.vo.kg.ChatResVo;
import io.swagger.annotations.ApiOperation;
import lombok.RequiredArgsConstructor;
import lombok.extern.slf4j.Slf4j;
import org.springframework.web.bind.annotation.PostMapping;
import org.springframework.web.bind.annotation.RequestBody;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;
import java.security.NoSuchAlgorithmException;


@Slf4j
@RestController
@RequestMapping("/kg")
@RequiredArgsConstructor
public class KGController {

    private final KGService kgService;

    private final QanythingService qanythingService;
    @ApiOperation("问答对话")
    @PostMapping("/chat")
    public ChatResVo chat(@RequestBody ChatReqVo chatReqVo) throws NoSuchAlgorithmException {

        return kgService.chat(chatReqVo.getQuestion());
    }

    @ApiOperation("qanythingChat问答对话-调试用")
    @PostMapping("/qanythingChat")
    public ResultWrapper<ChatResult> qanythingChat(@RequestBody ChatReqVo chatReqVo) throws NoSuchAlgorithmException {

        return qanythingService.chat(chatReqVo.getQuestion(), CollUtil.newArrayList("KB6ada48988e694ad197af53cc0d1e4b78_240328"));
    }


    @ApiOperation("热点知识")
    @PostMapping("/hotKG")
    public IPage<KgInfo> hotKG() {

        return kgService.hotKG(new Page<>(1,10));
    }
}
