package com.supervision.enums;

/**
 * 实体对应的问题map
 */
public enum EntityQuestionEnum {
    户口所在地("户口所在地","请问户口所在地是哪里?"),
    缴费年限("缴费年限","请问缴费年限多少年?"),
    退休类型("退休类型","请问您社保类型是城乡居民还是企业职工?"),
    年龄("年龄","您现在年龄是多少岁?"),
    异地社保转入情况("异地社保转入情况","您的异地社保是否已经转入?");

    private String entityType;

    private String question;

    EntityQuestionEnum(String entityType, String question) {
        this.entityType = entityType;
        this.question = question;
    }

    public String getEntityType() {
        return entityType;
    }

    public String getQuestion() {
        return question;
    }

    public static String getQuestionByEntityType(String entityType) {
        for (EntityQuestionEnum entityQuestionEnum : EntityQuestionEnum.values()) {
            if (entityQuestionEnum.getEntityType().equals(entityType)) {
                return entityQuestionEnum.getQuestion();
            }
        }
        return null;
    }
}
