package com.supervision;

import cn.hutool.core.io.FileUtil;

import java.util.List;

public class GenerateNebulaEntity {

    private static final String basePath = "/Users/flevance/Java/KBQA/kbqa-graph/src/main/java/";

    public static void main(String[] args) {
        buildDao();
        buildMapper();
    }

    /**
     * 生成mapper
     */
    private static void buildMapper(){
        String filePath = basePath + "com/supervision/ngbatis/dao/edge";
        String targetPath =  "/Users/flevance/Java/KBQA/kbqa-graph/src/main/resources/nebulaMapper/edge";
        List<String> strings = FileUtil.listFileNames(filePath);
        for (String string : strings) {
            String className = string.substring(0, string.lastIndexOf("."));
            StringBuilder sb = new StringBuilder();
            sb.append("<mapper namespace=\"com.supervision.ngbatis.dao.edge.").append(className).append("\">\n");
            sb.append("</mapper>");
            FileUtil.writeString(sb.toString(), targetPath + "/" + className + ".xml", "UTF-8");
        }
    }

    /**
     * 生成dao
     */
    private static void buildDao() {
        String filePath = basePath + "com/supervision/ngbatis/domain/tag";
        String targetPath = basePath + "com/supervision/ngbatis/dao/tag";
        List<String> strings = FileUtil.listFileNames(filePath);
        for (String string : strings) {
            String className = string.substring(0, string.lastIndexOf("."));
            StringBuilder sb = new StringBuilder();
            sb.append("package com.supervision.ngbatis.dao.tag;\n");
            sb.append("\n");
            sb.append("import com.supervision.ngbatis.domain.tag.").append(className).append(";\n");
            sb.append("import org.nebula.contrib.ngbatis.proxy.NebulaDaoBasic;\n");
            sb.append("public interface ").append(className).append("Dao extends NebulaDaoBasic<").append(className).append(",String> {\n");
            sb.append("}");
            FileUtil.writeString(sb.toString(), targetPath + "/" + className + "Dao.java", "UTF-8");
        }
    }
}
